#
# spec file for package rubygem-connection_pool
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-connection_pool
Version:        2.4.1
Release:        1.2
%define mod_name connection_pool
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/mperham/connection_pool
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Generic connection pool for Ruby
License:        MIT

%description
Generic connection pool for Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="Changes.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- 2.4.1
------
- New `auto_reload_after_fork` config option to disable auto-drop [#177, shayonj]
  2.4.0
------
- Automatically drop all connections after fork [#166]
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.3.0
  see installed Changes.md
  2.3.0
  - -----
  - Minimum Ruby version is now 2.5.0
  - Add pool size to TimeoutError message
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.2.5
  see installed Changes.md
  2.2.5
  - -----
  - Fix argument forwarding on Ruby 2.7 [#149]
  2.2.4
  - -----
  - Add `reload` to close all connections, recreating them afterwards [Andrew Marshall, #140]
  - Add `then` as a way to use a pool or a bare connection with the same code path [#138]
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 2.2.3
  see installed Changes.md
* Thu May 24 2018 factory-auto@kulow.org
- updated to version 2.2.2
  see installed Changes.md
  2.2.2
  - -----
  - Add pool `size` and `available` accessors for metrics and monitoring
    purposes [#97, robholland]
* Sun Nov 13 2016 coolo@suse.com
- updated to version 2.2.1
  see installed Changes.md
  2.2.1
  - -----
  - Allow CP::Wrapper to use an existing pool [#87, etiennebarrie]
  - Use monotonic time for more accurate timeouts [#84, jdantonio]
* Sat Apr 11 2015 coolo@suse.com
- updated to version 2.2.0
* Fri Mar 20 2015 coolo@suse.com
- updated to version 2.1.3
* Tue Mar  3 2015 coolo@suse.com
- updated to version 2.1.2
* Sat Feb  7 2015 coolo@suse.com
- updated to version 2.1.1
  - Work around a subtle race condition with code which uses `Timeout.timeout` and
  checks out a connection within the timeout block.  This might cause
  connections to get into a bad state and raise very odd errors. [tamird, #67]
  2.1.0
  - -----
  - Refactoring to better support connection pool subclasses [drbrain,
  [#55]]
  - `with` should return value of the last expression [#59]
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sat Mar 15 2014 coolo@suse.com
- updated to version 2.0.0
  - The connection pool is now lazy.  Connections are created as needed
  and retained until the pool is shut down. [drbrain, #52]
* Wed Nov 27 2013 coolo@suse.com
- updated to version 1.2.0
  - Add `with(options)` and `checkout(options)`. [mattcamuto]
  Allows the caller to override the pool timeout.
  ```ruby
  @pool.with(:timeout => 2) do |conn|
  end
* Wed Jul 31 2013 coolo@suse.com
- updated to version 1.1.0
  - New `#shutdown` method (simao)
    This method accepts a block and calls the block for each
    connection in the pool. After calling this method, trying to get a
    connection from the pool raises `PoolShuttingDownError`.
* Tue Dec 25 2012 coolo@suse.com
- initial package (version 1.0.0)
